Package: org.codehaus.groovy.grails.web.binding.spring

## [Groovy] Interface SpringWebDataBinder

- Interface to bridge the legacy Spring binding APIs

  Authors:
    Graeme Rocher
  Since:
    2.4

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `bind(javax.servlet.ServletRequest request, java.lang.String filter)`
    `void` | `bind(javax.servlet.ServletRequest request)`
    `void` | `bind(org.springframework.beans.PropertyValues propertyValues, java.lang.String filter)`
    `void` | `bind(org.springframework.beans.PropertyValues propertyValues)`
    `void` | `bind(GrailsParameterMap map, java.lang.String filter)`
    `java.lang.String[]` | `getAllowedFields()`
    `org.springframework.validation.BindingResult` | `getBindingResult()`
    `java.lang.String[]` | `getDisallowedFields()`
    `void` | `setAllowedFields(java.lang.String[] allowed)`
    `void` | `setDisallowedFields(java.lang.String[] dissallowed)`

- - ### Method Detail

    - #### void bind(javax.servlet.ServletRequest request, java.lang.String filter)

    - #### void bind(javax.servlet.ServletRequest request)

    - #### void bind(org.springframework.beans.PropertyValues propertyValues, java.lang.String filter)

    - #### void bind(org.springframework.beans.PropertyValues propertyValues)

    - #### void bind(GrailsParameterMap map, java.lang.String filter)

    - #### java.lang.String[] getAllowedFields()

    - #### org.springframework.validation.BindingResult getBindingResult()

    - #### java.lang.String[] getDisallowedFields()

    - #### void setAllowedFields(java.lang.String[] allowed)

    - #### void setDisallowedFields(java.lang.String[] dissallowed)